Zum Hauptinhalt springen
GET
/
automation
/
sequences
/
2026-03
/
{sequenceId}
Retrieve sequence
curl --request GET \
  --url https://api.hubapi.com/automation/sequences/2026-03/{sequenceId} \
  --header 'Authorization: Bearer <token>'
{
  "createdAt": "2023-11-07T05:31:56Z",
  "dependencies": [
    {
      "createdAt": "2023-11-07T05:31:56Z",
      "dependencyType": "MANUAL_PAUSE",
      "id": "<string>",
      "reliesOnSequenceStepId": "<string>",
      "reliesOnStepOrder": 123,
      "requiredBySequenceStepId": "<string>",
      "requiredByStepOrder": 123,
      "updatedAt": "2023-11-07T05:31:56Z"
    }
  ],
  "id": "<string>",
  "name": "<string>",
  "steps": [
    {
      "actionType": "EMAIL",
      "createdAt": "2023-11-07T05:31:56Z",
      "delayMillis": 123,
      "id": "<string>",
      "stepOrder": 123,
      "updatedAt": "2023-11-07T05:31:56Z",
      "emailPattern": {
        "createdAt": "2023-11-07T05:31:56Z",
        "id": "<string>",
        "templateId": "<string>",
        "updatedAt": "2023-11-07T05:31:56Z",
        "threadEmailToStepOrder": 123
      },
      "taskPattern": {
        "createdAt": "2023-11-07T05:31:56Z",
        "id": "<string>",
        "taskPriority": "HIGH",
        "taskType": "CALL",
        "updatedAt": "2023-11-07T05:31:56Z",
        "notes": "<string>",
        "queueId": 123,
        "subject": "<string>",
        "templateId": 123,
        "threadEmailToStepOrder": 123
      }
    }
  ],
  "updatedAt": "2023-11-07T05:31:56Z",
  "userId": "<string>",
  "folderId": "<string>",
  "settings": {
    "createdAt": "2023-11-07T05:31:56Z",
    "eligibleFollowUpDays": "BUSINESS_DAYS",
    "id": "<string>",
    "individualTaskRemindersEnabled": true,
    "sellingStrategy": "ACCOUNT_BASED",
    "sendWindowEndMinute": 123,
    "sendWindowStartMinute": 123,
    "taskReminderMinute": 123,
    "updatedAt": "2023-11-07T05:31:56Z"
  }
}

Supported products

Autorisierungen

Authorization
string
header
erforderlich

The access token received from the authorization server in the OAuth 2.0 flow.

Pfadparameter

sequenceId
string
erforderlich

The unique identifier of the sequence to retrieve.

Abfrageparameter

userId
string
erforderlich

The unique identifier of the user requesting the sequence details. This parameter is required.

Antwort

successful operation

createdAt
string<date-time>
erforderlich

The date and time when the sequence was created.

dependencies
object[]
erforderlich

An array of dependencies for the sequence steps, each represented as a PublicSequenceStepDependencyResponse object.

id
string
erforderlich

The unique identifier for the sequence.

name
string
erforderlich

The name of the sequence.

steps
object[]
erforderlich

An array of steps included in the sequence, each represented by a PublicSequenceStepResponse object.

updatedAt
string<date-time>
erforderlich

The date and time when the sequence was last updated.

userId
string
erforderlich

The ID of the user associated with the sequence.

folderId
string

The identifier of the folder containing the sequence.

settings
object
Last modified on April 9, 2026